SINGULAR(1)

NAME
Singular - manual page for Singular for version 4.x.x

DESCRIPTION

  Singular -- a Computer Algebra System (CAS) for polynomial computations.

  ESingular: starts-up Singular within emacs.

  TSingular: starts-up Singular within a new terminal

SYNOPSIS
Singular [options] [file1 [file2 ...]] ESingular [options] [file1 [file2 ...]] TSingular [options] [file1 [file2 ...]]

OPTIONS

-b --batch
    Run in batch mode (requires --link/--MPhost/--MPport)

-c --execute=STRING
    Execute STRING on start-up

-d --sdb
    Enable source code debugger (experimental)

-e --echo[=VAL]
    Set value of variable `echo' to (integer) VAL

-h --help
    Print help message and exit

-p --profile
    Collect profiling data in smon.out

-q --quiet
    Do not print start-up banner and lib load messages

-r --random=SEED
    Seed random generator with (integer) SEED

-t --no-tty
    Do not redefine the terminal characteristics

-u --user-option=STRING
    Return STRING on `system("--user-option")'

-v --version
    Print extended version and configuration info

--allow-net
    Allow one to fetch (html) help pages from the net

--browser=BROWSER
    Display help in BROWSER (see help.cnf)

--cntrlc[=CHAR]
    Automatic answer for CTRL-C prompt

--emacs
    Set defaults for running within emacs

--log=LOGFILE
    Log all input to LOGFILE.*

--no-stdlib
    Do not load `standard.lib' on start-up

--no-rc
    Do not execute `.singularrc' file(s) on start-up

--no-warn
    Do not display warning messages

--no-out
    Suppress all output

--no-shell
    Restricted mode: prohibit shell escape commands and links

--min-time=SECS
    Do not display times smaller than SECS (in seconds)

--cpus=#CPUs
    maximal number of CPUs to use

--threads=#threads
    maximal number of CPUs to use for threads

--flint-threads=#flintthreads maximal number of threads to use in flint library

--MPport=PORT
    Use PORT number for connections

--MPhost=HOST
    Use HOST for connections

--link=LINK
    Use LINK for connections

--ticks-per-sec=TICKS
    Sets unit of timer to TICKS per second

--dump-versiontuple
    Display the version-tuple and exit

For more information, type `help;' from within Singular or visit https://www.singular.uni-kl.de or consult the Singular manual (available as on-line info or html manual).

SEE ALSO
The full documentation for Singular is maintained as a Texinfo manual.